View Issue Details

IDProjectCategoryView StatusLast Update
0001023SymmetricDS ProBugpublic2013-02-08 13:39
ReporterabrougherAssigned Tochenson 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.3.1 
Target Version3.3.0.pre.1Fixed in Version3.3.0 
Summary0001023: Broken link icon displayed for triggers that are not "broken".
DescriptionIn a three tier hierarchy, the registration server will display that triggers are not linked correctly if the associated router source and target groups do not match the registration server. These triggers are valid but are not installed on the registration server.

The code checks to see if the routers linked to the trigger use the current node as a source or destination to draw the correct icon. (Left, Right, or by-direction Arrow).

I'm not sure if the fix should be to come up with a new icon for route's not involving the current node, or if we should get rid of all the different arrow types and just show either a good or bad icon.

Issue exists in TriggerEditPanel.getIconForTrigger().
TagsNo tags attached.

Activities

chenson

2013-01-31 13:23

administrator   ~0000211

Checked in a fix. Can you test?

Issue History

Date Modified Username Field Change
2013-01-31 12:41 abrougher New Issue
2013-01-31 12:41 abrougher Status new => assigned
2013-01-31 12:41 abrougher Assigned To => chenson
2013-01-31 13:23 chenson Note Added: 0000211
2013-01-31 13:23 chenson Status assigned => resolved
2013-01-31 13:23 chenson Fixed in Version => 3.3.0.pre.1
2013-01-31 13:23 chenson Resolution open => fixed
2013-02-01 08:35 chenson Status resolved => closed
2013-02-08 13:39 chenson Fixed in Version 3.3.0.pre.1 => 3.3.0